.kn-nav-bar {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 65px;
    background-color: #fff;
    border-bottom: 1px solid var(--kn-border-light);
    z-index: 10000;
    display: flex;
    justify-content: center;
}

.kn-nav-bar .menu {
    position: static;
    width: 100%;
    max-width: 1600px;
    margin: 0;
    border-bottom: none;
    background-color: transparent;
    height: 100%;
    box-shadow: none;
    transform: none;
}

.kn-page {
    max-width: 1600px;
    margin: 0 auto;
}

.kn-activity-loader {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    padding: 20px;
}

.kn-activity-loader img {
    width: 18px;
    height: 18px;
}

.kn-container {
    padding-top: 64px;
}

.kn-header {
    height: 64px;
    position: fixed;
    top: 64px;
    left: 0;
    width: 100%;
    background-color: var(--kn-bg-header);
    z-index: var(--kn-z-sticky);
    border-bottom: 1px solid var(--kn-border-light);
    display: flex;
    justify-content: center;
    padding: 0;
}

.kn-header-content {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: var(--kn-spacing-lg);
    width: 100%;
    max-width: 1600px;
    padding: var(--kn-spacing-md);
    height: 100%;
}

.kn-header-left {
    display: flex;
    align-items: center;
    gap: var(--kn-spacing-sm);
    padding: 5px var(--kn-spacing-lg);
    flex: 1;
    max-width: 600px;
    height: 40px;
    background: #FFFFFF;
    border-radius: var(--kn-radius-xl);
    border: 1px solid var(--kn-border);
}

.validation-error:empty {
    display: none !important;
}

.kn-header-right {
    display: flex;
    align-items: center;
    gap: var(--kn-spacing-md);
}

.kn-body-content {
    padding: var(--kn-spacing-md)
}

.kn-body-content.kn-has-items {
    background-color: #f4f4f2;
}

@media (max-width: 768px) {

   
    #dvMain .main-content {
        margin-top: 56px !important;
    }

    .kn-nav-bar {
        height: 56px !important;
    }

    .kn-container {
        padding-top: 60px;
    }

    .kn-header {
        flex-wrap: wrap;
        height: 60px;
        top: 56px;
    }

    .kn-header-left {
        order: 1;
        width: 100%;
    }

    .kn-header-right {
        position: fixed;
        bottom: var(--kn-spacing-xl);
        right: var(--kn-spacing-xl);
        justify-content: space-between;
        z-index: 99;
        border-top: 1px solid var(--kn-border-light);
        border-bottom: 1px solid var(--kn-border-light);
        margin: -20px;
        padding: var(--kn-spacing-md);
        background: var(--kn-bg-header);
        width: 100%;
    }

    .kn-body-content {
        padding: 10px;
    }
}